Page MenuHomewrite.as

Add database migration
Closed, ResolvedPublic

Description

Overview

We need an automated way to update the database, especially for #writeas.org -- but it'll also be helpful for us.

Implementation (ideas)

Add an app_config database table with fields similar to user/collection attributes table. Upon app start, SELECT FROM app_config WHERE attribute = 'db_version';

If it isn't there, add it and set it to 1. Otherwise check it against a DB migrations module, and run any necessary migrations.

Also add this version number to schema.sql in the repo.

Related Objects

StatusAssignedTask
Resolvedmatt
OpenNone
Resolvedmatt

Event Timeline

matt created this task.Jan 24 2018, 7:35 PM
matt triaged this task as Low priority.
matt moved this task from Backlog to Oct - Dec 2018 on the Write.as Web board.Mar 2 2018, 8:48 PM
matt edited projects, added Write.as Web (Oct - Dec 2018); removed Write.as Web.
matt changed the visibility from "Restricted Project (Project)" to "Public (No Login Required)".Nov 7 2018, 5:30 PM
matt added a project: WriteFreely.
matt moved this task from Far Future to v1.0 on the WriteFreely board.Nov 18 2018, 3:40 PM
matt edited projects, added WriteFreely (v1.0); removed WriteFreely.
matt claimed this task.Jan 17 2019, 9:16 PM
matt closed this task as Resolved.Jan 24 2019, 1:45 PM